<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sa="http://ei.vektis.nl/samenloop/basisschema/v1_0">
	
	<!-- retourcode 0435: Burgerservicenummer (BSN) verzekerde ontbreekt of is onjuist. - 11-proef -->
	<xsl:template name="rc0435">
		
		<xsl:param name="Bsn"/>
		
		<xsl:variable name="digit1" select="floor(number($Bsn/text()) div 1) mod 10" />
		<xsl:variable name="digit2" select="floor(number($Bsn/text()) div 10) mod 10" />
		<xsl:variable name="digit3" select="floor(number($Bsn/text()) div 100) mod 10" />
		<xsl:variable name="digit4" select="floor(number($Bsn/text()) div 1000) mod 10" />
		<xsl:variable name="digit5" select="floor(number($Bsn/text()) div 10000) mod 10" />
		<xsl:variable name="digit6" select="floor(number($Bsn/text()) div 100000) mod 10" />
		<xsl:variable name="digit7" select="floor(number($Bsn/text()) div 1000000) mod 10" />
		<xsl:variable name="digit8" select="floor(number($Bsn/text()) div 10000000) mod 10" />
		<xsl:variable name="digit9" select="floor(number($Bsn/text()) div 100000000) mod 10" />
		
		<xsl:if test="((9 * $digit9 + 8 * $digit8 + 7 * $digit7 + 6 * $digit6 + 5 * $digit5 + 4 * $digit4 + 3 * $digit3 + 2 * $digit2 - 1 * $digit1) mod 11) != 0">
			<sa:Retourcode>0435</sa:Retourcode>
		</xsl:if>
	
	</xsl:template>
</xsl:stylesheet>