<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"	xmlns:sa="http://ei.vektis.nl/samenloop/basisschema/v1_0">

	<!-- retourcode 8921: Aanleverjaar moet het huidige of voorgaande jaar zijn. -->

	<xsl:template name="rc8921">

		<xsl:param name="Aanmaakdatum"/>
		<xsl:param name="Aanleverjaar"/>
		
		<xsl:variable name="Aanmaakjaar" select="substring($Aanmaakdatum,1,4)" />
		<xsl:variable name="Aanmaakmaand" select="substring($Aanmaakdatum,5,2)" />
		<xsl:variable name="VoorgaandJaar" select="(substring($Aanmaakdatum,1,4) - 1)" />

		<xsl:if test="normalize-space($Aanmaakmaand) &lt; '7' and 
				not(normalize-space($Aanleverjaar) = normalize-space($Aanmaakjaar)) and not(normalize-space($Aanleverjaar) = normalize-space($VoorgaandJaar))">
			<sa:Retourcode>8921</sa:Retourcode>
		</xsl:if>
		
	</xsl:template>
</xsl:stylesheet>
