<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"	xmlns:sa="http://ei.vektis.nl/samenloop/basisschema/v1_0">

	<!-- retourcode 9118: Einddatum ZZP indicatie moet gevuld zijn bij afgesloten aanleverjaar. -->

	<xsl:template name="rc9118">

		<xsl:param name="Aanmaakdatum"/>
		<xsl:param name="Aanleverjaar"/>
		<xsl:param name="EinddatumZzp"/>
		
		<xsl:variable name="Aanmaakjaar" select="substring($Aanmaakdatum,1,4)" />
		
		<xsl:if test="normalize-space($Aanleverjaar) &lt; normalize-space($Aanmaakjaar)">
			<xsl:if test="(normalize-space($EinddatumZzp) ='')">
				<sa:Retourcode>9118</sa:Retourcode>
			</xsl:if>
		</xsl:if>
		
	</xsl:template>
</xsl:stylesheet>
