<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"	xmlns:sa="http://ei.vektis.nl/samenloop/basisschema/v1_0">

	<!-- retourcode 8935: Aanleverjaar moet het huidige jaar zijn. -->

	<xsl:template name="rc8935">

		<xsl:param name="Aanmaakdatum"/>
		<xsl:param name="Aanleverjaar"/>
		
		<xsl:variable name="Aanmaakjaar" select="substring($Aanmaakdatum,1,4)" />
		<xsl:variable name="Aanmaakmaand" select="substring($Aanmaakdatum,5,2)" />
		
		<xsl:if test="normalize-space($Aanmaakmaand) &gt; '6' and not(normalize-space($Aanleverjaar) = normalize-space($Aanmaakjaar))">
			<sa:Retourcode>8935</sa:Retourcode>
		</xsl:if>
		
	</xsl:template>
</xsl:stylesheet>
