<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"	xmlns:sa="http://ei.vektis.nl/samenloop/basisschema/v1_0">
	
	<xsl:template name="rc9477">

		<xsl:param name="Berichtcode"/>
		<xsl:param name="Begindatum"/>
		<xsl:param name="Behandeling"/>

		<!-- retourcode 9477: Indien ingangsdatum zorgtraject op of na 1-1-2021 dan moet behandeling voorkomen. -->
		<xsl:if test="$Berichtcode='529' and not(normalize-space(translate($Begindatum,'-','')) &lt; '20210101') and not($Behandeling)">
			<sa:Retourcode>9477</sa:Retourcode>
		</xsl:if>

	</xsl:template>
</xsl:stylesheet>
